package com.jasamedika.medifirst2000.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;import org.hibernate.envers.Audited;

@Entity //@Audited
@Table(name = "PapPengkajianMedis_T")
public class PapPengkajianMedis extends BaseTransaction {

	
	/**
	 * @author andri
	 */
	private static final long serialVersionUID = 1L;

	@NotNull(message = "Anamanesis_1st tidak boleh kosong")
	@Column(name = "Anamanesis_1st", nullable = true)
	@Caption(value = "Anamanesis_1st")
	private String Anamanesis_1st;

	@NotNull(message = "Anamanesis_2nd tidak boleh kosong")
	@Column(name = "Anamanesis_2nd", nullable = true)
	@Caption(value = "Anamanesis_2nd")
	private String Anamanesis_2nd;

	@ManyToOne
	@JoinColumn(name = "ObjectPAPpengkajianFk")
	@NotNull(message = "PAPpengkajian tidak boleh kosong")

	@Caption(value = "Object PAPpengkajian")
	private PapPengkajian paPpengkajian;

	@Column(name = "ObjectPAPpengkajianFk", columnDefinition = "CHAR(32)", insertable = false, updatable = false, nullable = false)
	private String paPpengkajianId;

	public String getAnamanesis_1st() {
		return Anamanesis_1st;
	}

	public void setAnamanesis_1st(String anamanesis_1st) {
		Anamanesis_1st = anamanesis_1st;
	}

	public String getAnamanesis_2nd() {
		return Anamanesis_2nd;
	}

	public void setAnamanesis_2nd(String anamanesis_2nd) {
		Anamanesis_2nd = anamanesis_2nd;
	}

	public PapPengkajian getPaPpengkajian() {
		return paPpengkajian;
	}

	public void setPaPpengkajian(PapPengkajian paPpengkajian) {
		this.paPpengkajian = paPpengkajian;
	}

	public String getPaPpengkajianId() {
		return paPpengkajianId;
	}

	public void setPaPpengkajianId(String paPpengkajianId) {
		this.paPpengkajianId = paPpengkajianId;
	}

}
